Page MenuHomePhabricator

Add informational links to AMC opt-in toggle
Closed, ResolvedPublic2 Story Points

Description

Background

We'd like to add some links for more information and feedback to allow users to learn more about AMC prior to opting in

Acceptance criteria

For logged-in users:

Developer notes

  1. We've had issues with spam in the past but we expect these not to happen. In the unlikely situation they do, we will protect the page and revert the patch so no need for this to be feature flagged.
  2. to respect user language, the link should point to Special:MyLanguage page eg:

https://m.mediawiki.org/wiki/Special:MyLanguage/Reading/Web/Advanced_mobile_contributions

QA steps

Please visit https://reading-web-staging.wmflabs.org/wiki/Special:MobileOptions to test this (mobile mode).

QA Results

StatusDetails
✅ PassedT214180#4933907

QA Results: Production

StatusDetails
✅ PassedT214180#5064738

Event Timeline

ovasileva triaged this task as High priority.Jan 18 2019, 5:02 PM
ovasileva created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 18 2019, 5:02 PM
ovasileva updated the task description. (Show Details)Jan 18 2019, 5:03 PM
ovasileva moved this task from Incoming to Upcoming on the Readers-Web-Backlog board.
Jdlrobson updated the task description. (Show Details)Jan 18 2019, 5:47 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task from Upcoming to Needs Prioritization on the Readers-Web-Backlog board.
Jdlrobson added subscribers: alexhollender, Jdlrobson.
Jdlrobson removed Jdlrobson as the assignee of this task.Jan 18 2019, 7:11 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task from Needs Prioritization to Upcoming on the Readers-Web-Backlog board.

Open question about whether or not these links should open in a new tab — going to check out browser behavior today and update this task accordingly

Jdlrobson set the point value for this task to 2.Jan 22 2019, 5:36 PM
pmiazga updated the task description. (Show Details)Jan 22 2019, 5:38 PM

I think it makes the most sense for the link behavior to follow whatever is default in the wiki.

Change 486416 had a related patch set uploaded (by Nray; owner: Nray):
[mediawiki/extensions/MobileFrontend@master] Add informational links to AMC opt-in toggle

https://gerrit.wikimedia.org/r/486416

nray removed nray as the assignee of this task.Jan 25 2019, 1:56 AM
nray added a subscriber: nray.
pmiazga claimed this task.Jan 25 2019, 5:23 PM
pmiazga removed pmiazga as the assignee of this task.Jan 31 2019, 9:38 PM
pmiazga removed a project: Patch-For-Review.
pmiazga added a subscriber: pmiazga.

Change 486416 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Add informational links to AMC opt-in toggle

https://gerrit.wikimedia.org/r/486416

@Niedzielski can you answer a few questions please:

  1. Which environment does this need to be tested in?
  2. The acceptance criteria lists the links as desktop links, but item #2 in the developer notes indicates the links should respect user langage (thanks @phuedx for the explanation). Which one is correct? or should this be tested in both desktop and mobile?
Jdlrobson updated the task description. (Show Details)Feb 5 2019, 8:37 PM

@alexhollender @Edtadros staging has been updated with this code ^

nray added a comment.EditedFeb 5 2019, 9:28 PM

@Niedzielski can you answer a few questions please:

  1. Which environment does this need to be tested in?

This should be viewable and work when in mobile mode on desktop and mobile devices

  1. The acceptance criteria lists the links as desktop links, but item #2 in the developer notes indicates the links should respect user langage (thanks @phuedx for the explanation). Which one is correct? or should this be tested in both desktop and mobile?

This is a great question and one I had myself as I was working on it. In the end, I deliberately chose to do a mix of both:

"Learn more" links to https://www.mediawiki.org/wiki/Special:MyLanguage/Reading/Web/Advanced_mobile_contributions
"Send feedback" links to https://www.mediawiki.org/wiki/Special:MyLanguage/Talk:Reading/Web/Advanced_mobile_contributions

My reasoning for doing it this way was that mediawiki.org should automatically redirect to m.mediawiki.org if the user is on a mobile device. If the user is on desktop device, then it should stay on desktop mode. @pmiazga is this correct?

@Edtadros

Quick question - do we want to track clicks on those links (how many people visit Learn More and Send feedback) ?

@ovasileva since we'll be linking directly to our AMC project page from the Settings page on mobile, I was thinking it might make a sense to add some sort've tl;dr/intro type thing to the top of the page.

Currently the page starts out with:

The mobile skin Minerva Neue was optimized for new readers and is missing several key contribution workflows that power editors depend on. The skin choose not to link to certain pages to avoid overwhelming new users with links and other pages used on desktop were found not optimized or even usable on mobile devices.

Maybe we add something like:

Advanced mobile contributions mode is an experiment(?) in adding more contributor features/capabilities to the mobile experience. Jump to the proposed features section below to see what types of features/capabilities we're hoping to add. If you've enabled the feature please visit our talk page to give us your thoughts (good or bad) and ideas.

@CKoerner_WMF would it be possible to request translations of our project page in Spanish, Arabic, and Indonesian? These are the languages we'll be launching with so it seems important to have those setup. Thoughts?

@pmiazga

Quick question - do we want to track clicks on those links (how many people visit Learn More and Send feedback) ?

I think this information would be interesting, although not essential. How difficult would it be to add tracking?

Quick question - do we want to track clicks on those links (how many people visit Learn More and Send feedback) ?

Not for right now

@ovasileva since we'll be linking directly to our AMC project page from the Settings page on mobile, I was thinking it might make a sense to add some sort've tl;dr/intro type thing to the top of the page.
Currently the page starts out with:

The mobile skin Minerva Neue was optimized for new readers and is missing several key contribution workflows that power editors depend on. The skin choose not to link to certain pages to avoid overwhelming new users with links and other pages used on desktop were found not optimized or even usable on mobile devices.

Yeah, I think that's a good idea. I can update.

Maybe we add something like:

Advanced mobile contributions mode is an experiment(?) in adding more contributor features/capabilities to the mobile experience. Jump to the proposed features section below to see what types of features/capabilities we're hoping to add. If you've enabled the feature please visit our talk page to give us your thoughts (good or bad) and ideas.

@CKoerner_WMF would it be possible to request translations of our project page in Spanish, Arabic, and Indonesian? These are the languages we'll be launching with so it seems important to have those setup. Thoughts?

The page is already marked for translation, although I'm not sure if we have a way to find translators in those languages. @CKoerner_WMF - I think you had some ideas the last time we discussed this, but I don't quite remember what they were.

Quick question - do we want to track clicks on those links (how many people visit Learn More and Send feedback) ?

Not for right now

We can get this information by looking at pageview data and referrers.

@CKoerner_WMF would it be possible to request translations of our project page in Spanish, Arabic, and Indonesian? These are the languages we'll be launching with so it seems important to have those setup. Thoughts?

To not separately bug our volunteer translators I can ask for translations on the translators-l mailing list, specifically targeting the 3 languages for both the short announcement about the first round of options (talk page link) and to translate the project page. @ovasileva (and others) does the language in this announcement look good?

https://meta.wikimedia.org/wiki/User:CKoerner_(WMF)/Advanced_mobile_contribution_options

Edtadros updated the task description. (Show Details)Feb 7 2019, 6:52 AM
ovasileva closed this task as Resolved.Feb 7 2019, 10:20 AM

Looks good to me. Thanks all!

This comment was removed by pmiazga.
pmiazga added a comment.EditedFeb 7 2019, 1:56 PM

@nray - yes, that is correct, and for now lets keep it that way. I know that there are some ideas to remove the mobile domain (I have no idea if this is going to happen)
@alexhollender - we can add some param to the the URL, like https://www.mediawiki.org/wiki/Special:MyLanguage/Talk:Reading/Web/Advanced_mobile_contributions?amc_source=optin (I wouldn't worry about caching as this is served to logged-in users only). Then with we would have to query hive to get the number of page views with that GET amc_source param. Difficulty - easy to medium. /cc @Tbayer

@nray - yes, that is correct, and for now lets keep it that way. I know that there are some ideas to remove the mobile domain (I have no idea if this is going to happen)
@alexhollender - we can add some param to the the URL, like https://www.mediawiki.org/wiki/Special:MyLanguage/Talk:Reading/Web/Advanced_mobile_contributions?amc_source=optin (I wouldn't worry about caching as this is served to logged-in users only).

The official, cache-kosher way to do this is to use a wprov parameter, which also makes querying the data slightly easier. But as you note, cache fragmentation shouldn't be a big issue here, also because it's just about two pages ;)

Then with we would have to query hive to get the number of page views with that GET amc_source param. Difficulty - easy to medium. /cc @Tbayer

@Tbayer is there an official way to reserve wprov value? What do we have to do, to introduce a wprov value for AMC shares? I hope it's just editing the wiki page and reserving a new value.

@Tbayer is there an official way to reserve wprov value? What do we have to do, to introduce a wprov value for AMC shares? I hope it's just editing the wiki page and reserving a new value.

Yes, editing the page is enough.

Edtadros added a comment.EditedMar 28 2019, 4:29 AM

Test Result:Production

Status: ✅ PASS
OS: iOS
Browser: Chrome browser on (iPhone XS Max)

Test Artifact(s):

Edtadros updated the task description. (Show Details)Mar 28 2019, 6:56 AM